LOCAL_PATH := $(call my-dir)

# ---------------------------------------------------------------------------

include $(CLEAR_VARS)

LOCAL_MODULE := magic
#LOCAL_SRC_FILES := libamagic.a
LOCAL_SRC_FILES := libamagic.a

include $(PREBUILT_STATIC_LIBRARY)

# ---------------------------------------------------------------------------

include $(CLEAR_VARS)

$(call import-add-path,$(LOCAL_PATH)/../../cocos2d)
$(call import-add-path,$(LOCAL_PATH)/../../cocos2d/external)
$(call import-add-path,$(LOCAL_PATH)/../../cocos2d/cocos)

LOCAL_MODULE := cocos2dcpp_shared

LOCAL_MODULE_FILENAME := libcocos2dcpp

LOCAL_SRC_FILES := ../main.cpp \
                   ../../Classes/AppDelegate.cpp \
                   ../../Classes/MagicScene.cpp \
                   ../../Classes/MagicEmitter.cpp \
                   ../../Classes/mp_cocos.cpp \
                   ../../Classes/platform_cocos.cpp \
                   ../../../_core/mp.cpp \
                   ../../../_core/platform_win_posix.cpp \
                   ../../../opengl/mp_wrap.cpp \
                   ../../../opengl/image_loader.cpp

LOCAL_C_INCLUDES := $(LOCAL_PATH)/../../Classes $(LOCAL_PATH)/../../../_core $(LOCAL_PATH)/../../../opengl

# _COCOS_HEADER_ANDROID_BEGIN
# _COCOS_HEADER_ANDROID_END


LOCAL_STATIC_LIBRARIES := cocos2dx_static
LOCAL_STATIC_LIBRARIES += magic

# _COCOS_LIB_ANDROID_BEGIN
# _COCOS_LIB_ANDROID_END

include $(BUILD_SHARED_LIBRARY)

$(call import-module,.)

# _COCOS_LIB_IMPORT_ANDROID_BEGIN
# _COCOS_LIB_IMPORT_ANDROID_END

